/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.process.internal.definitions.ide.ui.deliver.editors;

import org.eclipse.osgi.util.NLS;

import com.ibm.team.process.ide.ui.IProcessAspectEditorFactory;
import com.ibm.team.process.ide.ui.ProcessAspectEditor;

/**
 * Factory which creates the aspect editor corresponding to a given aspect.
 */
public class ProcessDefinitionsAspectEditorFactory implements IProcessAspectEditorFactory {
	
	public ProcessAspectEditor createProcessAspectEditor(String processAspectId) {
		if (processAspectId.equals("com.ibm.team.process.server.setUpProject")) { //$NON-NLS-1$
			return new SetupProjectAspectEditor();
		}
		if (processAspectId.equals("com.ibm.team.process.definitions.server.createInvitationWorkItems")) { //$NON-NLS-1$
			return new CreateWorkItemsAspectEditor();
		}
		if (processAspectId.equals("com.ibm.team.process.server.createTeamAreas")) { //$NON-NLS-1$
			return new CreateTeamAreasAspectEditor();
		}
		throw new IllegalArgumentException(NLS.bind(Messages.ProcessDefinitionsAspectEditorFactory_0, processAspectId));
	}

}
